import * as plugins from './smartfile.plugins';
import * as fsMod from './smartfile.fs';
import * as interpreterMod from './smartfile.interpreter';
import * as memoryMod from './smartfile.memory';

export { Smartfile, ISmartfileConstructorOptions } from './smartfile.classes.smartfile';
export { VirtualDirectory } from './smartfile.classes.virtualdirectory';


export let fs = fsMod;
export let interpreter = interpreterMod;
export let memory = memoryMod;
